using System.ComponentModel.DataAnnotations;

namespace PetCompanion.Models
{
    public class GameItem
    {
        [Key]
        public int Id { get; set; }
        public string Name { get; set; }
        public ItemType Type { get; set; }
        public ItemRarity Rarity { get; set; }
        public string Description { get; set; }
        public int Price { get; set; }
        public string Effect { get; set; }
        public ItemEquipTarget EquipTarget { get; set; }
    }

    public enum ItemType
    {
        Material,
        Consumable,
        Equipment
    }

    public enum ItemRarity
    {
        Common,
        Uncommon,
        Rare,
        Legendary
    }

    public enum ItemEquipTarget
    {
        None,
        Head,
        Body,
        Legs,
        Weapon
    }
}
