using Microsoft.EntityFrameworkCore;
using PetCompanion.Data;
using PetCompanion.Models;

namespace PetCompanion.Repositories
{
    public class PetClassRepository
    {
        private readonly ApplicationDbContext _context;

        public PetClassRepository(ApplicationDbContext context)
        {
            _context = context;
        }

        public IEnumerable<PetClassInfo> GetAllPetClassesInfo()
        {
            return new List<PetClassInfo>
            {
                new PetClassInfo
                {
                    Name = "Forest Spirit",
                    Description = "A mystical guardian of nature, attuned to the forest's wisdom.",
                    Modifiers = new List<Modifier>
                    {
                        new Modifier { Description = "-20% food consumption" },
                        new Modifier { Description = "+15% wisdom generation" },
                        new Modifier { Description = "Natural healing ability" }
                    },
                    Color = "emerald",
                    Emoji = "🌿",
                    Class = PetClass.FOREST_SPIRIT
                },
                new PetClassInfo
                {
                    Name = "Ocean Guardian",
                    Description = "A majestic creature of the deep, master of the seas.",
                    Modifiers = new List<Modifier>
                    {
                        new Modifier { Description = "+20% resource gathering" },
                        new Modifier { Description = "Water breathing" },
                        new Modifier { Description = "Enhanced mobility" }
                    },
                    Color = "cyan",
                    Emoji = "🌊",
                    Class = PetClass.OCEAN_GUARDIAN
                },
                new PetClassInfo
                {
                    Name = "Fire Elemental",
                    Description = "A passionate spirit of flame, burning with inner strength.",
                    Modifiers = new List<Modifier>
                    {
                        new Modifier { Description = "+25% strength gains" },
                        new Modifier { Description = "Fire resistance" },
                        new Modifier { Description = "Heat generation" }
                    },
                    Color = "red",
                    Emoji = "🔥",
                    Class = PetClass.FIRE_ELEMENTAL
                },
                new PetClassInfo
                {
                    Name = "Mythical Beast",
                    Description = "A legendary creature of ancient lore.",
                    Modifiers = new List<Modifier>
                    {
                        new Modifier { Description = "+30% charisma" },
                        new Modifier { Description = "Rare item finding" },
                        new Modifier { Description = "Enhanced abilities at night" }
                    },
                    Color = "purple",
                    Emoji = "🦄",
                    Class = PetClass.MYTHICAL_BEAST
                },
                new PetClassInfo
                {
                    Name = "Shadow Walker",
                    Description = "A mysterious being that moves between light and darkness.",
                    Modifiers = new List<Modifier>
                    {
                        new Modifier { Description = "Stealth abilities" },
                        new Modifier { Description = "+25% junk value" },
                        new Modifier { Description = "Night vision" }
                    },
                    Color = "violet",
                    Emoji = "👻",
                    Class = PetClass.SHADOW_WALKER
                },
                new PetClassInfo
                {
                    Name = "Cyber Pet",
                    Description = "A digital companion from the future.",
                    Modifiers = new List<Modifier>
                    {
                        new Modifier { Description = "+30% intelligence growth" },
                        new Modifier { Description = "Digital interface" },
                        new Modifier { Description = "Quick processing" }
                    },
                    Color = "blue",
                    Emoji = "🤖",
                    Class = PetClass.CYBER_PET
                },
                new PetClassInfo
                {
                    Name = "Bio-Mechanical Hybrid",
                    Description = "A perfect fusion of organic life and advanced technology.",
                    Modifiers = new List<Modifier>
                    {
                        new Modifier { Description = "Self-repair capability" },
                        new Modifier { Description = "+20% all stats" },
                        new Modifier { Description = "Resource optimization" }
                    },
                    Color = "teal",
                    Emoji = "🦾",
                    Class = PetClass.BIO_MECHANICAL
                }
            };
        }
    }
}
